/*
*		Copyright (c) 1996 Daniele Terdina
*/

#pragma options align=mac68k
struct ROMconfig {
	unsigned char	name[64];
	Boolean			active;
	Boolean			initRoutine;
};

struct qconfig {
	short				ram;
	unsigned char		floppyName[10];
	unsigned char		hDiskName[10];
	Boolean				hasFloppy;
	Boolean				hasHDisk;
	unsigned char		mainRom[64];
	struct ROMconfig	backRom;
	Boolean				fastStartup;
	Boolean				startSession;
	Boolean				soundActive;
	short				ser1;
	short				ser2;
	Boolean				ignoreHandshake1;
	Boolean				ignoreHandshake2;
	short				intFrequency;
	short				keyMode;
};

extern struct qconfig qc;

extern long rom_patch;

void RamMenu(short);
void KeyboardMenu(short);
void StopQL(void);
void InitROM(void);
OSErr SaveConfig(void);
void StopQL(void);
void EmulatorTable(Ptr);
void SetInitialDisplay(void);
short ConfigInit(void);

